Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class PropertyKey

    java.lang.Object
      com.compoze.domino.PropertyKey

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  SortPropertyKey

public class PropertyKey
extends java.lang.Object
implements java.io.Serializable

This class stores the key for a property.

See Also:
  Serialized Form

Field Summary
`static PropertyKey` | `ADJUSTED_SUBJECT` Key that represents the property 'cz adjusted subject'.
`static PropertyKey` | `ADMINP_COUNTER` Key that represents the property 'AdminP_Counter'.
`static PropertyKey` | `ADMINP_STATUS` Key that represents the property 'AdminP_Status'.
`static PropertyKey` | `AGENT_LAST_RUN` Key that represents the property 'AgentLastRun'.
`static PropertyKey` | `ALT_CHAIR` Key that represents the property 'chair'.
`static PropertyKey` | `ALT_DELEGEE_NAME` Key that represents the property 'alt delegee name'.
`static PropertyKey` | `ALT_PRINCIPAL` Key that represents the property 'principal'.
`static PropertyKey` | `APPOINTMENT_ID` Key that represents the property 'AppointmentID'.
`static PropertyKey` | `APPOINTMENT_TYPE` Key that represents the property 'appointment type'.
`static PropertyKey` | `ASSIGN_STATE` Key that represents the property 'due state'.
`static PropertyKey` | `ASSIGNED_TO` Key that represents the property 'due state'.
`static PropertyKey` | `ASSISTANT` Key that represents the property 'assistant'.
`static PropertyKey` | `ATTACHMENT_COUNT` Key that represents the property 'attachment count'.
`static PropertyKey` | `ATTACHMENT_INFO` Key that represents the property 'attachment info'.
`static PropertyKey` | `BIRTHDAY` Key that represents the property 'birthday'.
`static PropertyKey` | `BODY` Key that represents the property 'body'.
`static PropertyKey` | `BODY_HTML` Key that represents the property 'body html'.
`static PropertyKey` | `BODY_STORED_FORM` Key that represents the property 'body stored form'.
`static PropertyKey` | `BOOK_BUSY_TIME` Key that represents the property 'BookBusyTime'.
`static PropertyKey` | `BOOK_FREE_TIME` Key that represents the property 'book free time'.
`static PropertyKey` | `BROADCAST` Key that represents the property 'broadcast'.
`static PropertyKey` | `BUSY_TIME_SUBJ` Key that represents the property 'BusyTimeSubj'.
`static PropertyKey` | `CALENDAR_ENTRY_UNID` Key that represents the property 'CalendarEntryUNID'.
`static PropertyKey` | `CELL_PHONE_NUMBER` Key that represents the property 'cell phone number'.
`static PropertyKey` | `CHAIR` Key that represents the property 'chair'.
`static PropertyKey` | `CHILDREN` Key that represents the property 'children'.
`static PropertyKey` | `COMMENT` Key that represents the property 'comment'.
`static PropertyKey` | `COMPANY_NAME` Key that represents the property 'company name'.
`static PropertyKey` | `COMPLETED_DATE_TIME` Key that represents the property 'completed date time'.
`static PropertyKey` | `CONFLICT_ACTION` Key that represents the property '$ConflictAction'.
`static PropertyKey` | `CURRENT_STATUS` Key that represents the property 'CurrentStatus'.
`static PropertyKey` | `DATE_CREATED` Key that represents the property 'date created'.
`static PropertyKey` | `DATE_DISABLE_REMINDER_SENT` Key that represents the property 'DateDisableReminderSent'.
`static PropertyKey` | `DATE_FIRST_DAY_BACK` Key that represents the property 'dateFirstDayBack'.
`static PropertyKey` | `DATE_FIRST_DAY_OUT` Key that represents the property 'dateFirstDayOut'.
`static PropertyKey` | `DATE_FIRST_REMINDER_SENT` Key that represents the property 'DateFirstReminderSent'.
`static PropertyKey` | `DATE_MODIFIED` Key that represents the property 'date modified'.
`static PropertyKey` | `DAYS_OUT` Key that represents the property 'DaysOut'.
`static PropertyKey` | `DAYS_OUT_1` Key that represents the property 'DaysOut_1'.
`static PropertyKey` | `DELEGEE` Key that represents the property 'delegee'.
`static PropertyKey` | `DELIVERED_DATE` Key that represents the property 'delivered date'.
`static PropertyKey` | `DELIVERY_DATE` Key that represents the property 'delivery date'.
`static PropertyKey` | `DELIVERY_PRIORITY` Key that represents the property 'delivery priority'.
`static PropertyKey` | `DELIVERY_REPORT` Key that represents the property 'delivery report'.
`static PropertyKey` | `DEPARTMENT` Key that represents the property 'department'.
`static PropertyKey` | `DESCRIPTION` Key that represents the property 'Description'.
`static PropertyKey` | `DIALOG_STATUS` Key that represents the property 'DialogStatus'.
`static PropertyKey` | `DOCUMENT_ID` Key that represents the property 'document id'.
`static PropertyKey` | `DOCUMENT_TYPE` Key that represents the property 'document type'.
`static PropertyKey` | `DUE_DATE` Key that represents the property 'due date'.
`static PropertyKey` | `DUE_DATE_TIME` Key that represents the property 'due date time'.
`static PropertyKey` | `DUE_STATE` Key that represents the property 'due state'.
`static PropertyKey` | `EMAIL_ADDRESS` Key that represents the property 'email address'.
`static PropertyKey` | `EMBEDDED_IMAGE_COUNT` Key that represents the property 'embedded image count'.
`static PropertyKey` | `EMBEDDED_IMAGE_INFO` Key that represents the property 'attachment info'.
`static PropertyKey` | `EMPLOYEE_ID` Key that represents the property 'employee ID'.
`static PropertyKey` | `ENABLE_AGENT` Key that represents the property 'EnableAgent'.
`static PropertyKey` | `ENCRYPT` Key that represents the property 'encrypt'.
`static PropertyKey` | `END_DATE` Key that represents the property 'end date'.
`static PropertyKey` | `END_DATE_TIME` Key that represents the property 'end date time'.
`static PropertyKey` | `END_TIME` Key that represents the property 'end time'.
`static PropertyKey` | `ENTER_BLIND_COPY_TO` Key that represents the property 'EnterBlindCopyTo'.
`static PropertyKey` | `ENTER_COPY_TO` Key that represents the property 'EnterCopyTo'.
`static PropertyKey` | `ENTER_SEND_TO` Key that represents the property 'EnterSendTo'.
`static PropertyKey` | `EXCLUDE_INTERNET_EMAIL` Key that represents the property 'ExcludeFromInternetEmail'.
`static PropertyKey` | `FAILURE_REASON` Key that represents the property 'failure reason'.
`static PropertyKey` | `FAX_NUMBER` Key that represents the property 'fax number'.
`static PropertyKey` | `FIRST_DAY_BACK` Key that represents the property 'FirstDayBack'.
`static PropertyKey` | `FIRST_DAY_OUT` Key that represents the property 'FirstDayOut'.
`static PropertyKey` | `FIRST_NAME` Key that represents the property 'first name'.
`static PropertyKey` | `FOLDER_ABSOLUTE_NAME` Key that represents the property 'folder absolute name'.
`static PropertyKey` | `FOLDER_DEPTH` Key that represents the property 'folder depth'.
`static PropertyKey` | `FOLDER_HAS_SUBFOLDERS` Key that represents the property 'has sub-folders'.
`static PropertyKey` | `FOLDER_ID` Key that represents the property 'folder id'.
`static PropertyKey` | `FOLDER_MEMO_COUNT` Key that represents the property 'memo count'.
`static PropertyKey` | `FOLDER_MEMO_UNREAD_COUNT` Key that represents the property 'unread memo count'.
`static PropertyKey` | `FOLDER_NAME` Key that represents the property 'folder name'.
`static PropertyKey` | `FOLDER_PARENT_FOLDER_ID` Key that represents the property 'parent folder id'.
`static PropertyKey` | `FOLDER_SUBFOLDER_COUNT` Key that represents the property 'folder sub-folder count'.
`static PropertyKey` | `FOLDER_TYPE` Key that represents the property 'folder type'.
`static PropertyKey` | `FOLDER_VIEW_NAME` Key that represents the property 'folder view name'.
`static PropertyKey` | `FOLLOW_UP_DATE` Key that represents the property 'follow up date and time'.
`static PropertyKey` | `FOLLOW_UP_STATUS` Key that represents the property 'follow up status'.
`static PropertyKey` | `FOLLOW_UP_TEXT` Key that represents the property 'follow up text'.
`static PropertyKey` | `FOOTER` Key that represents the property 'footer'.
`static PropertyKey` | `FOOTER_HTML` Key that represents the property 'header html'.
`static PropertyKey` | `FREE_BUSY` Key that represents the property 'free/busy times'.
`static PropertyKey` | `FROM` Key that represents the property 'from'.
`static PropertyKey` | `FULL_NAME` Key that represents the property 'full name'.
`static PropertyKey` | `GENERAL_MESSAGE` Key that represents the property 'GeneralMesssage'.
`static PropertyKey` | `GENERAL_SUBJECT` Key that represents the property 'GeneralSubject'.
`static PropertyKey` | `H_AGENT_START_TIME` Key that represents the property 'h_AgentStartTime'.
`static PropertyKey` | `HAS_ATTACHMENT` Key that represents the property 'has attachment'.
`static PropertyKey` | `HEADER` Key that represents the property 'header'.
`static PropertyKey` | `HEADER_HTML` Key that represents the property 'header html'.
`static PropertyKey` | `HOME_ADDRESS` Key that represents the property 'home address'.
`static PropertyKey` | `HOME_CITY` Key that represents the property 'home city'.
`static PropertyKey` | `HOME_COUNTRY` Key that represents the property 'home country'.
`static PropertyKey` | `HOME_FAX_PHONE_NUMBER` Key that represents the property 'home fax phone number'.
`static PropertyKey` | `HOME_PHONE_NUMBER` Key that represents the property 'home phone number'.
`static PropertyKey` | `HOME_STATE` Key that represents the property 'home state'.
`static PropertyKey` | `HOME_STREET_ADDRESS` Key that represents the property 'home street address'.
`static PropertyKey` | `HOME_ZIP` Key that represents the property 'home zip'.
`static PropertyKey` | `IGNORE_FROM_LIST` Key that represents the property 'IgnoreFromList'.
`static PropertyKey` | `IGNORE_SEND` Key that represents the property 'IgnoreSend'.
`static PropertyKey` | `IGNORE_SUBJECT_PHRASE` Key that represents the property 'IgnoreSubjectPhrase'.
`static PropertyKey` | `IMPORTANCE` Key that represents the property 'importance'.
`static PropertyKey` | `INSTANCE_TYPE` Key that represents the property 'instance type'.
`static PropertyKey` | `INTENDED_RECIPIENT` Key that represents the property 'intended recipient'.
`static PropertyKey` | `INTERNET_ADDRESS` Key that represents the property 'internet address'.
`static PropertyKey` | `JOB_TITLE` Key that represents the property 'job title'.
`static PropertyKey` | `KEEP_POSTED` Key that represents the property 'keep posted'.
`static int` | `KEY_DOCUMENT`
`static int` | `KEY_FOLDER`
`static PropertyKey` | `LAST_NAME` Key that represents the property 'last name'.
`static PropertyKey` | `LOCATION` Key that represents the property 'location'.
`static PropertyKey` | `MAIL_DOMAIN` Key that represents the property 'Mail Domain'.
`static PropertyKey` | `MAIL_FILE` Key that represents the property 'Mail File'.
`static PropertyKey` | `MAIL_SERVER` Key that represents the property 'Mail Server'.
`static PropertyKey` | `MANAGER` Key that represents the property 'manager'.
`static PropertyKey` | `MARK_PRIVATE` Key that represents the property 'mark private'.
`static PropertyKey` | `MEMO_DATE` Key that represents the property 'memo date'.
`static PropertyKey` | `MIDDLE_INITIAL` Key that represents the property 'middle initial'.
`static PropertyKey` | `NEW_DUE_DATE` Key that represents the property 'new date'.
`static PropertyKey` | `NEW_END_DATE` Key that represents the property 'new end date'.
`static PropertyKey` | `NEW_END_TIME` Key that represents the property 'new end time'.
`static PropertyKey` | `NEW_START_DATE` Key that represents the property 'new start date'.
`static PropertyKey` | `NEW_START_TIME` Key that represents the property 'new start time'.
`static PropertyKey` | `NO_PURGE` Key that represents the property '$NoPurge'.
`static PropertyKey` | `NOTICE_TYPE` Key that represents the property 'notice type'.
`static PropertyKey` | `NOTIFIED` Key that represents the property 'Notified'.
`static PropertyKey` | `OFFICE_ADDRESS` Key that represents the property 'office address'.
`static PropertyKey` | `OFFICE_CITY` Key that represents the property 'office city'.
`static PropertyKey` | `OFFICE_COUNTRY` Key that represents the property 'office country'.
`static PropertyKey` | `OFFICE_FAX_PHONE_NUMBER` Key that represents the property 'office fax phone number'.
`static PropertyKey` | `OFFICE_NUMBER` Key that represents the property 'office number'.
`static PropertyKey` | `OFFICE_PHONE_NUMBER` Key that represents the property 'office phone number'.
`static PropertyKey` | `OFFICE_STATE` Key that represents the property 'office state'.
`static PropertyKey` | `OFFICE_STREET_ADDRESS` Key that represents the property 'office street address'.
`static PropertyKey` | `OFFICE_ZIP` Key that represents the property 'office zip'.
`static PropertyKey` | `ORG_REPEAT` Key that represents the property 'org repeat'.
`static PropertyKey` | `ORG_TABLE` Key that represents the property 'mark private'.
`static PropertyKey` | `ORIGINAL_SUBJECT` Key that represents the property 'original subject'.
`static PropertyKey` | `OWNER_OF_CALENDAR_ENTRY` Key that represents the property 'OwnerOfCalendarEntry'.
`static PropertyKey` | `PAGER` Key that represents the property 'pager'.
`static PropertyKey` | `PARENT_DOCUMENT_ID` Key that represents the property 'parent document id'.
`static PropertyKey` | `PHONE_CALLER` Key that represents the property 'phone caller'.
`static PropertyKey` | `PHONE_LABEL_1` Key that represents the property 'phone label 1'.
`static PropertyKey` | `PHONE_LABEL_2` Key that represents the property 'phone label 2'.
`static PropertyKey` | `PHONE_LABEL_3` Key that represents the property 'phone label 3'.
`static PropertyKey` | `PHONE_LABEL_4` Key that represents the property 'phone label 4'.
`static PropertyKey` | `PHONE_LABEL_5` Key that represents the property 'phone label 5'.
`static PropertyKey` | `PHONE_LABEL_6` Key that represents the property 'phone label 6'.
`static PropertyKey` | `PHONE_NUMBER` Key that represents the property 'phone number'.
`static PropertyKey` | `PHONE_REASON` Key that represents the property 'phone reason'.
`static PropertyKey` | `PHONETIC_NAME` Key that represents the property 'phonetic name'.
`static PropertyKey` | `POSTED_DATE` Key that represents the property 'posted date'.
`static PropertyKey` | `PREVENT_COPY` Key that represents the property '$KeepPrivate'.
`static PropertyKey` | `PREVENT_COUNTER` Key that represents the property 'prevent counter'.
`static PropertyKey` | `PREVENT_DELEGATE` Key that represents the property 'prevent delegate'.
`static PropertyKey` | `PRINCIPAL` Key that represents the property 'principal'.
`static PropertyKey` | `PROTECT_FROM_ARCHIVE` Key that represents the property 'PROTECTFROMARCHIVE'.
`static PropertyKey` | `RECIPIENT_INFO` Key that represents the property 'recipient info'.
`static PropertyKey` | `REPEATS` Key that represents the property 'repeats'.
`static PropertyKey` | `RESCHEDULE_WHICH` Key that represents the property 'RescheduleWhich'.
`static PropertyKey` | `RESOURCE_CAPACITY` Key that represents the property 'Resource Capacity'.
`static PropertyKey` | `RESOURCE_TYPE` Key that represents the property 'Resource Type'.
`static PropertyKey` | `RETURN_RECEIPT` Key that represents the property 'return receipt'.
`static PropertyKey` | `ROUTE_SERVERS` Key that represents the property 'route servers'.
`static PropertyKey` | `ROUTE_TIMES` Key that represents the property 'route times'.
`static PropertyKey` | `SENDER` Key that represents the property 'Sender'.
`static PropertyKey` | `SENDER_INFO` Key that represents the property 'sender info'.
`static PropertyKey` | `SENDER_NAME` Key that represents the property 'sender name'.
`static PropertyKey` | `SHORT_NAME` Key that represents the property 'short name'.
`static PropertyKey` | `SIZE` Key that represents the property 'size'.
`static PropertyKey` | `SPECIAL_MESSAGE` Key that represents the property 'SpecialMessage'.
`static PropertyKey` | `SPECIAL_PEOPLE` Key that represents the property 'IgnoreSubjectPhrase'.
`static PropertyKey` | `SPECIAL_SUBJECT` Key that represents the property 'SpecialMessage'.
`static PropertyKey` | `SPOUSE` Key that represents the property 'spouse'.
`static PropertyKey` | `START_DATE` Key that represents the property 'start date'.
`static PropertyKey` | `START_DATE_TIME` Key that represents the property 'start date time'.
`static PropertyKey` | `START_TIME` Key that represents the property 'start time'.
`static PropertyKey` | `STATUS_UPDATE` Key that represents the property 'status update'.
`static PropertyKey` | `SUBJECT` Key that represents the property 'subject'.
`static PropertyKey` | `SUFFIX` Key that represents the property 'suffix'.
`static PropertyKey` | `TASK_TYPE` Key that represents the property 'task type'.
`static PropertyKey` | `TITLE` Key that represents the property 'title'.
`static PropertyKey` | `TOPIC` Key that represents the property 'topic'.
`static PropertyKey` | `UNREAD` Key that represents the property 'unread'.
`static int` | `VALUE_ARRAY`
`static int` | `VALUE_BOOLEAN`
`static int` | `VALUE_DATE`
`static int` | `VALUE_DOUBLE`
`static int` | `VALUE_EMPTY`
`static int` | `VALUE_INTEGER`
`static int` | `VALUE_LONG`
`static int` | `VALUE_MIME_PART`
`static int` | `VALUE_STRING`
`static int` | `VALUE_STRING_COMPOSITE`
`static int` | `VALUE_UNKNOWN`
`static PropertyKey` | `VIEW_ICON2` Key that represents the property 'view icon2'.
`static PropertyKey` | `WEB_SITE` Key that represents the property 'web site'.

Constructor Summary
`PropertyKey(java.lang.String sKey, int iValueType, int iKeyType)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Equals.
`static PropertyKey` | `get(java.lang.String sKey)` Gets the property key by the specified key name.
`java.lang.String` | `getKey()` Gets the key of the property.
`int` | `getKeyType()` Gets the type of a key for the property.
`int` | `getValueType()` Gets the type of a value for the property.
`int` | `hashCode()` Gets a hash code for the key.
`boolean` | `isArray()` Checks if the value type of the property is an array.
`protected void` | `setKey(java.lang.String sKey)` Sets the key of the property.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_UNKNOWN

    public static final int VALUE_UNKNOWN

See Also:
  Constant Field Values

### VALUE_ARRAY

    public static final int VALUE_ARRAY

See Also:
  Constant Field Values

### VALUE_BOOLEAN

    public static final int VALUE_BOOLEAN

See Also:
  Constant Field Values

### VALUE_DATE

    public static final int VALUE_DATE

See Also:
  Constant Field Values

### VALUE_DOUBLE

    public static final int VALUE_DOUBLE

See Also:
  Constant Field Values

### VALUE_EMPTY

    public static final int VALUE_EMPTY

See Also:
  Constant Field Values

### VALUE_INTEGER

    public static final int VALUE_INTEGER

See Also:
  Constant Field Values

### VALUE_LONG

    public static final int VALUE_LONG

See Also:
  Constant Field Values

### VALUE_STRING

    public static final int VALUE_STRING

See Also:
  Constant Field Values

### VALUE_STRING_COMPOSITE

    public static final int VALUE_STRING_COMPOSITE

See Also:
  Constant Field Values

### VALUE_MIME_PART

    public static final int VALUE_MIME_PART

See Also:
  Constant Field Values

### KEY_FOLDER

    public static final int KEY_FOLDER

See Also:
  Constant Field Values

### KEY_DOCUMENT

    public static final int KEY_DOCUMENT

See Also:
  Constant Field Values

### FOLDER_MEMO_COUNT

    public static final PropertyKey FOLDER_MEMO_COUNT

  Key that represents the property 'memo count'.

### FOLDER_MEMO_UNREAD_COUNT

    public static final PropertyKey FOLDER_MEMO_UNREAD_COUNT

  Key that represents the property 'unread memo count'.

### FOLDER_NAME

    public static final PropertyKey FOLDER_NAME

  Key that represents the property 'folder name'.

### FOLDER_PARENT_FOLDER_ID

    public static final PropertyKey FOLDER_PARENT_FOLDER_ID

  Key that represents the property 'parent folder id'.

### FOLDER_HAS_SUBFOLDERS

    public static final PropertyKey FOLDER_HAS_SUBFOLDERS

  Key that represents the property 'has sub-folders'.

### FOLDER_ID

    public static final PropertyKey FOLDER_ID

  Key that represents the property 'folder id'.

### FOLDER_ABSOLUTE_NAME

    public static final PropertyKey FOLDER_ABSOLUTE_NAME

  Key that represents the property 'folder absolute name'.

### FOLDER_DEPTH

    public static final PropertyKey FOLDER_DEPTH

  Key that represents the property 'folder depth'.

### FOLDER_VIEW_NAME

    public static final PropertyKey FOLDER_VIEW_NAME

  Key that represents the property 'folder view name'.

### FOLDER_SUBFOLDER_COUNT

    public static final PropertyKey FOLDER_SUBFOLDER_COUNT

  Key that represents the property 'folder sub-folder count'.

### FOLDER_TYPE

    public static final PropertyKey FOLDER_TYPE

  Key that represents the property 'folder type'.

### FOLLOW_UP_STATUS

    public static final PropertyKey FOLLOW_UP_STATUS

  Key that represents the property 'follow up status'.

### FOLLOW_UP_TEXT

    public static final PropertyKey FOLLOW_UP_TEXT

  Key that represents the property 'follow up text'.

### FOLLOW_UP_DATE

    public static final PropertyKey FOLLOW_UP_DATE

  Key that represents the property 'follow up date and time'.

### PHONETIC_NAME

    public static final PropertyKey PHONETIC_NAME

  Key that represents the property 'phonetic name'.

### NOTICE_TYPE

    public static final PropertyKey NOTICE_TYPE

  Key that represents the property 'notice type'.

### ASSISTANT

    public static final PropertyKey ASSISTANT

  Key that represents the property 'assistant'.

### BIRTHDAY

    public static final PropertyKey BIRTHDAY

  Key that represents the property 'birthday'.

### BOOK_FREE_TIME

    public static final PropertyKey BOOK_FREE_TIME

  Key that represents the property 'book free time'.

### MARK_PRIVATE

    public static final PropertyKey MARK_PRIVATE

  Key that represents the property 'mark private'.

### ORG_TABLE

    public static final PropertyKey ORG_TABLE

  Key that represents the property 'mark private'.

### NEW_START_DATE

    public static final PropertyKey NEW_START_DATE

  Key that represents the property 'new start date'.

### UNREAD

    public static final PropertyKey UNREAD

  Key that represents the property 'unread'.

### START_DATE

    public static final PropertyKey START_DATE

  Key that represents the property 'start date'.

### START_TIME

    public static final PropertyKey START_TIME

  Key that represents the property 'start time'.

### APPOINTMENT_TYPE

    public static final PropertyKey APPOINTMENT_TYPE

  Key that represents the property 'appointment type'.

### APPOINTMENT_ID

    public static final PropertyKey APPOINTMENT_ID

  Key that represents the property 'AppointmentID'.

### DUE_DATE

    public static final PropertyKey DUE_DATE

  Key that represents the property 'due date'.

### DUE_DATE_TIME

    public static final PropertyKey DUE_DATE_TIME

  Key that represents the property 'due date time'.

### COMPLETED_DATE_TIME

    public static final PropertyKey COMPLETED_DATE_TIME

  Key that represents the property 'completed date time'.

### DUE_STATE

    public static final PropertyKey DUE_STATE

  Key that represents the property 'due state'.

### ASSIGNED_TO

    public static final PropertyKey ASSIGNED_TO

  Key that represents the property 'due state'.

### ASSIGN_STATE

    public static final PropertyKey ASSIGN_STATE

  Key that represents the property 'due state'.

### NEW_DUE_DATE

    public static final PropertyKey NEW_DUE_DATE

  Key that represents the property 'new date'.

### ENCRYPT

    public static final PropertyKey ENCRYPT

  Key that represents the property 'encrypt'.

### PREVENT_COPY

    public static final PropertyKey PREVENT_COPY

  Key that represents the property '$KeepPrivate'.

### NEW_START_TIME

    public static final PropertyKey NEW_START_TIME

  Key that represents the property 'new start time'.

### TASK_TYPE

    public static final PropertyKey TASK_TYPE

  Key that represents the property 'task type'.

### NEW_END_DATE

    public static final PropertyKey NEW_END_DATE

  Key that represents the property 'new end date'.

### NEW_END_TIME

    public static final PropertyKey NEW_END_TIME

  Key that represents the property 'new end time'.

### START_DATE_TIME

    public static final PropertyKey START_DATE_TIME

  Key that represents the property 'start date time'.

### VIEW_ICON2

    public static final PropertyKey VIEW_ICON2

  Key that represents the property 'view icon2'.

### END_DATE_TIME

    public static final PropertyKey END_DATE_TIME

  Key that represents the property 'end date time'.

### END_DATE

    public static final PropertyKey END_DATE

  Key that represents the property 'end date'.

### END_TIME

    public static final PropertyKey END_TIME

  Key that represents the property 'end time'.

### CHAIR

    public static final PropertyKey CHAIR

  Key that represents the property 'chair'.

### ALT_CHAIR

    public static final PropertyKey ALT_CHAIR

  Key that represents the property 'chair'.

### PRINCIPAL

    public static final PropertyKey PRINCIPAL

  Key that represents the property 'principal'.

### ALT_PRINCIPAL

    public static final PropertyKey ALT_PRINCIPAL

  Key that represents the property 'principal'.

### DATE_CREATED

    public static final PropertyKey DATE_CREATED

  Key that represents the property 'date created'.

### SIZE

    public static final PropertyKey SIZE

  Key that represents the property 'size'.

### DATE_MODIFIED

    public static final PropertyKey DATE_MODIFIED

  Key that represents the property 'date modified'.

### ROUTE_SERVERS

    public static final PropertyKey ROUTE_SERVERS

  Key that represents the property 'route servers'.

### ROUTE_TIMES

    public static final PropertyKey ROUTE_TIMES

  Key that represents the property 'route times'.

### OFFICE_PHONE_NUMBER

    public static final PropertyKey OFFICE_PHONE_NUMBER

  Key that represents the property 'office phone number'.

  See Also:
    `PHONE_LABEL_1`

### OFFICE_NUMBER

    public static final PropertyKey OFFICE_NUMBER

  Key that represents the property 'office number'.

  See Also:
    `PHONE_LABEL_1`

### FAX_NUMBER

    public static final PropertyKey FAX_NUMBER

  Key that represents the property 'fax number'.

### PHONE_LABEL_1

    public static final PropertyKey PHONE_LABEL_1

  Key that represents the property 'phone label 1'.

### HOME_PHONE_NUMBER

    public static final PropertyKey HOME_PHONE_NUMBER

  Key that represents the property 'home phone number'.

  See Also:
    `PHONE_LABEL_2`

### PHONE_LABEL_2

    public static final PropertyKey PHONE_LABEL_2

  Key that represents the property 'phone label 2'.

### OFFICE_FAX_PHONE_NUMBER

    public static final PropertyKey OFFICE_FAX_PHONE_NUMBER

  Key that represents the property 'office fax phone number'.

  See Also:
    `PHONE_LABEL_3`

### PHONE_LABEL_3

    public static final PropertyKey PHONE_LABEL_3

  Key that represents the property 'phone label 3'.

### HOME_FAX_PHONE_NUMBER

    public static final PropertyKey HOME_FAX_PHONE_NUMBER

  Key that represents the property 'home fax phone number'.

  See Also:
    `PHONE_LABEL_4`

### PHONE_LABEL_4

    public static final PropertyKey PHONE_LABEL_4

  Key that represents the property 'phone label 4'.

### CELL_PHONE_NUMBER

    public static final PropertyKey CELL_PHONE_NUMBER

  Key that represents the property 'cell phone number'.

  See Also:
    `PHONE_LABEL_5`

### PHONE_LABEL_5

    public static final PropertyKey PHONE_LABEL_5

  Key that represents the property 'phone label 5'.

### PAGER

    public static final PropertyKey PAGER

  Key that represents the property 'pager'.

  See Also:
    `PHONE_LABEL_6`

### PHONE_LABEL_6

    public static final PropertyKey PHONE_LABEL_6

  Key that represents the property 'phone label 6'.

### COMPANY_NAME

    public static final PropertyKey COMPANY_NAME

  Key that represents the property 'company name'.

### COMMENT

    public static final PropertyKey COMMENT

  Key that represents the property 'comment'.

### CHILDREN

    public static final PropertyKey CHILDREN

  Key that represents the property 'children'.

### PHONE_NUMBER

    public static final PropertyKey PHONE_NUMBER

  Key that represents the property 'phone number'.

### PHONE_REASON

    public static final PropertyKey PHONE_REASON

  Key that represents the property 'phone reason'.

### PHONE_CALLER

    public static final PropertyKey PHONE_CALLER

  Key that represents the property 'phone caller'.

### DEPARTMENT

    public static final PropertyKey DEPARTMENT

  Key that represents the property 'department'.

### FULL_NAME

    public static final PropertyKey FULL_NAME

  Key that represents the property 'full name'.

### MANAGER

    public static final PropertyKey MANAGER

  Key that represents the property 'manager'.

### JOB_TITLE

    public static final PropertyKey JOB_TITLE

  Key that represents the property 'job title'.

### LOCATION

    public static final PropertyKey LOCATION

  Key that represents the property 'location'.

### EMPLOYEE_ID

    public static final PropertyKey EMPLOYEE_ID

  Key that represents the property 'employee ID'.

### FROM

    public static final PropertyKey FROM

  Key that represents the property 'from'.

### INSTANCE_TYPE

    public static final PropertyKey INSTANCE_TYPE

  Key that represents the property 'instance type'.

### SPOUSE

    public static final PropertyKey SPOUSE

  Key that represents the property 'spouse'.

### FIRST_NAME

    public static final PropertyKey FIRST_NAME

  Key that represents the property 'first name'.

### LAST_NAME

    public static final PropertyKey LAST_NAME

  Key that represents the property 'last name'.

### MIDDLE_INITIAL

    public static final PropertyKey MIDDLE_INITIAL

  Key that represents the property 'middle initial'.

### SHORT_NAME

    public static final PropertyKey SHORT_NAME

  Key that represents the property 'short name'.

### SENDER_NAME

    public static final PropertyKey SENDER_NAME

  Key that represents the property 'sender name'.

### SENDER_INFO

    public static final PropertyKey SENDER_INFO

  Key that represents the property 'sender info'.

### SUFFIX

    public static final PropertyKey SUFFIX

  Key that represents the property 'suffix'.

### TITLE

    public static final PropertyKey TITLE

  Key that represents the property 'title'.

### WEB_SITE

    public static final PropertyKey WEB_SITE

  Key that represents the property 'web site'.

### OFFICE_COUNTRY

    public static final PropertyKey OFFICE_COUNTRY

  Key that represents the property 'office country'.

### HOME_COUNTRY

    public static final PropertyKey HOME_COUNTRY

  Key that represents the property 'home country'.

### OFFICE_ZIP

    public static final PropertyKey OFFICE_ZIP

  Key that represents the property 'office zip'.

### HOME_ADDRESS

    public static final PropertyKey HOME_ADDRESS

  Key that represents the property 'home address'.

### HOME_STREET_ADDRESS

    public static final PropertyKey HOME_STREET_ADDRESS

  Key that represents the property 'home street address'.

### HOME_CITY

    public static final PropertyKey HOME_CITY

  Key that represents the property 'home city'.

### HOME_STATE

    public static final PropertyKey HOME_STATE

  Key that represents the property 'home state'.

### HOME_ZIP

    public static final PropertyKey HOME_ZIP

  Key that represents the property 'home zip'.

### OFFICE_ADDRESS

    public static final PropertyKey OFFICE_ADDRESS

  Key that represents the property 'office address'.

### OFFICE_STREET_ADDRESS

    public static final PropertyKey OFFICE_STREET_ADDRESS

  Key that represents the property 'office street address'.

### OFFICE_CITY

    public static final PropertyKey OFFICE_CITY

  Key that represents the property 'office city'.

### OFFICE_STATE

    public static final PropertyKey OFFICE_STATE

  Key that represents the property 'office state'.

### INTERNET_ADDRESS

    public static final PropertyKey INTERNET_ADDRESS

  Key that represents the property 'internet address'.

### FREE_BUSY

    public static final PropertyKey FREE_BUSY

  Key that represents the property 'free/busy times'.

### EMAIL_ADDRESS

    public static final PropertyKey EMAIL_ADDRESS

  Key that represents the property 'email address'.

### ENTER_SEND_TO

    public static final PropertyKey ENTER_SEND_TO

  Key that represents the property 'EnterSendTo'.

### ENTER_COPY_TO

    public static final PropertyKey ENTER_COPY_TO

  Key that represents the property 'EnterCopyTo'.

### ENTER_BLIND_COPY_TO

    public static final PropertyKey ENTER_BLIND_COPY_TO

  Key that represents the property 'EnterBlindCopyTo'.

### DESCRIPTION

    public static final PropertyKey DESCRIPTION

  Key that represents the property 'Description'.

### MAIL_FILE

    public static final PropertyKey MAIL_FILE

  Key that represents the property 'Mail File'.

### MAIL_SERVER

    public static final PropertyKey MAIL_SERVER

  Key that represents the property 'Mail Server'.

### MAIL_DOMAIN

    public static final PropertyKey MAIL_DOMAIN

  Key that represents the property 'Mail Domain'.

### RESOURCE_CAPACITY

    public static final PropertyKey RESOURCE_CAPACITY

  Key that represents the property 'Resource Capacity'.

### RESOURCE_TYPE

    public static final PropertyKey RESOURCE_TYPE

  Key that represents the property 'Resource Type'.

### DOCUMENT_TYPE

    public static final PropertyKey DOCUMENT_TYPE

  Key that represents the property 'document type'.

### DOCUMENT_ID

    public static final PropertyKey DOCUMENT_ID

  Key that represents the property 'document id'.

### PARENT_DOCUMENT_ID

    public static final PropertyKey PARENT_DOCUMENT_ID

  Key that represents the property 'parent document id'.

### SUBJECT

    public static final PropertyKey SUBJECT

  Key that represents the property 'subject'.

### ADJUSTED_SUBJECT

    public static final PropertyKey ADJUSTED_SUBJECT

  Key that represents the property 'cz adjusted subject'.

### TOPIC

    public static final PropertyKey TOPIC

  Key that represents the property 'topic'.

### DELIVERED_DATE

    public static final PropertyKey DELIVERED_DATE

  Key that represents the property 'delivered date'.

### POSTED_DATE

    public static final PropertyKey POSTED_DATE

  Key that represents the property 'posted date'.

### MEMO_DATE

    public static final PropertyKey MEMO_DATE

  Key that represents the property 'memo date'.

### FAILURE_REASON

    public static final PropertyKey FAILURE_REASON

  Key that represents the property 'failure reason'.

### DELIVERY_PRIORITY

    public static final PropertyKey DELIVERY_PRIORITY

  Key that represents the property 'delivery priority'.

### DELIVERY_REPORT

    public static final PropertyKey DELIVERY_REPORT

  Key that represents the property 'delivery report'.

### DELIVERY_DATE

    public static final PropertyKey DELIVERY_DATE

  Key that represents the property 'delivery date'.

### IMPORTANCE

    public static final PropertyKey IMPORTANCE

  Key that represents the property 'importance'.

### ORIGINAL_SUBJECT

    public static final PropertyKey ORIGINAL_SUBJECT

  Key that represents the property 'original subject'.

### INTENDED_RECIPIENT

    public static final PropertyKey INTENDED_RECIPIENT

  Key that represents the property 'intended recipient'.

### RECIPIENT_INFO

    public static final PropertyKey RECIPIENT_INFO

  Key that represents the property 'recipient info'.

### RETURN_RECEIPT

    public static final PropertyKey RETURN_RECEIPT

  Key that represents the property 'return receipt'.

### BODY

    public static final PropertyKey BODY

  Key that represents the property 'body'.

### BODY_HTML

    public static final PropertyKey BODY_HTML

  Key that represents the property 'body html'.

### BODY_STORED_FORM

    public static final PropertyKey BODY_STORED_FORM

  Key that represents the property 'body stored form'.

### HEADER

    public static final PropertyKey HEADER

  Key that represents the property 'header'.

### HEADER_HTML

    public static final PropertyKey HEADER_HTML

  Key that represents the property 'header html'.

### FOOTER

    public static final PropertyKey FOOTER

  Key that represents the property 'footer'.

### FOOTER_HTML

    public static final PropertyKey FOOTER_HTML

  Key that represents the property 'header html'.

### BROADCAST

    public static final PropertyKey BROADCAST

  Key that represents the property 'broadcast'.

### DELEGEE

    public static final PropertyKey DELEGEE

  Key that represents the property 'delegee'.

### REPEATS

    public static final PropertyKey REPEATS

  Key that represents the property 'repeats'.

### ORG_REPEAT

    public static final PropertyKey ORG_REPEAT

  Key that represents the property 'org repeat'.

### RESCHEDULE_WHICH

    public static final PropertyKey RESCHEDULE_WHICH

  Key that represents the property 'RescheduleWhich'.

### ALT_DELEGEE_NAME

    public static final PropertyKey ALT_DELEGEE_NAME

  Key that represents the property 'alt delegee name'.

### PREVENT_DELEGATE

    public static final PropertyKey PREVENT_DELEGATE

  Key that represents the property 'prevent delegate'.

### PREVENT_COUNTER

    public static final PropertyKey PREVENT_COUNTER

  Key that represents the property 'prevent counter'.

### ATTACHMENT_COUNT

    public static final PropertyKey ATTACHMENT_COUNT

  Key that represents the property 'attachment count'.

### HAS_ATTACHMENT

    public static final PropertyKey HAS_ATTACHMENT

  Key that represents the property 'has attachment'.

### ATTACHMENT_INFO

    public static final PropertyKey ATTACHMENT_INFO

  Key that represents the property 'attachment info'.

### STATUS_UPDATE

    public static final PropertyKey STATUS_UPDATE

  Key that represents the property 'status update'.

### KEEP_POSTED

    public static final PropertyKey KEEP_POSTED

  Key that represents the property 'keep posted'.

### EMBEDDED_IMAGE_COUNT

    public static final PropertyKey EMBEDDED_IMAGE_COUNT

  Key that represents the property 'embedded image count'.

### EMBEDDED_IMAGE_INFO

    public static final PropertyKey EMBEDDED_IMAGE_INFO

  Key that represents the property 'attachment info'.

### CONFLICT_ACTION

    public static final PropertyKey CONFLICT_ACTION

  Key that represents the property '$ConflictAction'. This is how domino handles replication with document conflicts. CONFLICT_AUTOMERGE='1', CONFLICT_NONE='2', CONFLICT_BEST_MERGE='3'

### NO_PURGE

    public static final PropertyKey NO_PURGE

  Key that represents the property '$NoPurge'. This tells domino to no delete a document if it is about to be archived.

### ADMINP_COUNTER

    public static final PropertyKey ADMINP_COUNTER

  Key that represents the property 'AdminP_Counter'.

### ADMINP_STATUS

    public static final PropertyKey ADMINP_STATUS

  Key that represents the property 'AdminP_Status'.

### CURRENT_STATUS

    public static final PropertyKey CURRENT_STATUS

  Key that represents the property 'CurrentStatus'.

### H_AGENT_START_TIME

    public static final PropertyKey H_AGENT_START_TIME

  Key that represents the property 'h_AgentStartTime'.

### AGENT_LAST_RUN

    public static final PropertyKey AGENT_LAST_RUN

  Key that represents the property 'AgentLastRun'.

### ENABLE_AGENT

    public static final PropertyKey ENABLE_AGENT

  Key that represents the property 'EnableAgent'.

### DIALOG_STATUS

    public static final PropertyKey DIALOG_STATUS

  Key that represents the property 'DialogStatus'.

### SENDER

    public static final PropertyKey SENDER

  Key that represents the property 'Sender'.

### NOTIFIED

    public static final PropertyKey NOTIFIED

  Key that represents the property 'Notified'.

### OWNER_OF_CALENDAR_ENTRY

    public static final PropertyKey OWNER_OF_CALENDAR_ENTRY

  Key that represents the property 'OwnerOfCalendarEntry'.

### EXCLUDE_INTERNET_EMAIL

    public static final PropertyKey EXCLUDE_INTERNET_EMAIL

  Key that represents the property 'ExcludeFromInternetEmail'.

### BOOK_BUSY_TIME

    public static final PropertyKey BOOK_BUSY_TIME

  Key that represents the property 'BookBusyTime'.

### BUSY_TIME_SUBJ

    public static final PropertyKey BUSY_TIME_SUBJ

  Key that represents the property 'BusyTimeSubj'.

### CALENDAR_ENTRY_UNID

    public static final PropertyKey CALENDAR_ENTRY_UNID

  Key that represents the property 'CalendarEntryUNID'.

### DATE_DISABLE_REMINDER_SENT

    public static final PropertyKey DATE_DISABLE_REMINDER_SENT

  Key that represents the property 'DateDisableReminderSent'.

### DATE_FIRST_DAY_BACK

    public static final PropertyKey DATE_FIRST_DAY_BACK

  Key that represents the property 'dateFirstDayBack'.

### DATE_FIRST_DAY_OUT

    public static final PropertyKey DATE_FIRST_DAY_OUT

  Key that represents the property 'dateFirstDayOut'.

### DATE_FIRST_REMINDER_SENT

    public static final PropertyKey DATE_FIRST_REMINDER_SENT

  Key that represents the property 'DateFirstReminderSent'.

### FIRST_DAY_BACK

    public static final PropertyKey FIRST_DAY_BACK

  Key that represents the property 'FirstDayBack'.

### FIRST_DAY_OUT

    public static final PropertyKey FIRST_DAY_OUT

  Key that represents the property 'FirstDayOut'.

### PROTECT_FROM_ARCHIVE

    public static final PropertyKey PROTECT_FROM_ARCHIVE

  Key that represents the property 'PROTECTFROMARCHIVE'.

### DAYS_OUT

    public static final PropertyKey DAYS_OUT

  Key that represents the property 'DaysOut'.

### DAYS_OUT_1

    public static final PropertyKey DAYS_OUT_1

  Key that represents the property 'DaysOut_1'.

### GENERAL_MESSAGE

    public static final PropertyKey GENERAL_MESSAGE

  Key that represents the property 'GeneralMesssage'.

### GENERAL_SUBJECT

    public static final PropertyKey GENERAL_SUBJECT

  Key that represents the property 'GeneralSubject'.

### IGNORE_FROM_LIST

    public static final PropertyKey IGNORE_FROM_LIST

  Key that represents the property 'IgnoreFromList'.

### IGNORE_SEND

    public static final PropertyKey IGNORE_SEND

  Key that represents the property 'IgnoreSend'.

### IGNORE_SUBJECT_PHRASE

    public static final PropertyKey IGNORE_SUBJECT_PHRASE

  Key that represents the property 'IgnoreSubjectPhrase'.

### SPECIAL_MESSAGE

    public static final PropertyKey SPECIAL_MESSAGE

  Key that represents the property 'SpecialMessage'.

### SPECIAL_PEOPLE

    public static final PropertyKey SPECIAL_PEOPLE

  Key that represents the property 'IgnoreSubjectPhrase'.

### SPECIAL_SUBJECT

    public static final PropertyKey SPECIAL_SUBJECT

  Key that represents the property 'SpecialMessage'.

Constructor Detail

### PropertyKey

    public PropertyKey(java.lang.String sKey,
                       int iValueType,
                       int iKeyType)

  Constructor.

Parameters:
  `sKey` - the key
  `iValueType` - the value type (one of the `VALUE_` constants)
  `iKeyType` - the key type (one of the `KEY_` constants)

Method Detail

### setKey

    protected void setKey(java.lang.String sKey)

  Sets the key of the property.

  Parameters:
    `sKey` - the key

### getKey

    public java.lang.String getKey()

  Gets the key of the property.

  Returns:
    the key

### getValueType

    public int getValueType()

  Gets the type of a value for the property.

  Returns:
    the value type (one of the `VALUE_` constants)

### getKeyType

    public int getKeyType()

  Gets the type of a key for the property.

  Returns:
    the key type (one of the `KEY_` constants)

### isArray

    public boolean isArray()

  Checks if the value type of the property is an array.

  Returns:
    `true` if the value of the property is an array; `false` otherwise

### hashCode

    public int hashCode()

  Gets a hash code for the key.

  Returns:
    a hash code of the key string

### equals

    public boolean equals(java.lang.Object o)

  Equals.

  Parameters:
    `o` - the object to compare
  Returns:
    `true` if the keys are equal; `false` otherwise

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

### get

    public static PropertyKey get(java.lang.String sKey)

  Gets the property key by the specified key name.

  Parameters:
    `sKey` - the key name (case insensitive)
  Returns:
    the property key or `null` if not found

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.